#' Low level functions for working with the ITIS API.
#'
#' @name itis-api
#' @details There are many low level functions underlying functions that
#' are meant to be used more often by the user. They are exported from
#' the package, but no manual pages are shown in the package function index.
#' You can still use them though. Here's a list and links to their manual
#' pages.
#'
#' \itemize{
#'  \item \code{\link{getacceptednamesfromtsn}}
#'  \item \code{\link{getanymatchcount}}
#'  \item \code{\link{getcommentdetailfromtsn}}
#'  \item \code{\link{getcommonnamesfromtsn}}
#'  \item \code{\link{getcoremetadatafromtsn}}
#'  \item \code{\link{getcoveragefromtsn}}
#'  \item \code{\link{getcredibilityratingfromtsn}}
#'  \item \code{\link{getcredibilityratings}}
#'  \item \code{\link{getcurrencyfromtsn}}
#'  \item \code{\link{getdatedatafromtsn}}
#'  \item \code{\link{getdescription}}
#'  \item \code{\link{getexpertsfromtsn}}
#'  \item \code{\link{getfullhierarchyfromtsn}}
#'  \item \code{\link{getfullrecordfromlsid}}
#'  \item \code{\link{getfullrecordfromtsn}}
#'  \item \code{\link{getgeographicdivisionsfromtsn}}
#'  \item \code{\link{getgeographicvalues}}
#'  \item \code{\link{getglobalspeciescompletenessfromtsn}}
#'  \item \code{\link{gethierarchydownfromtsn}}
#'  \item \code{\link{gethierarchyupfromtsn}}
#'  \item \code{\link{getitistermsfromcommonname}}
#'  \item \code{\link{getitisterms}}
#'  \item \code{\link{getitistermsfromscientificname}}
#'  \item \code{\link{getjurisdictionaloriginfromtsn}}
#'  \item \code{\link{getjurisdictionoriginvalues}}
#'  \item \code{\link{getjurisdictionvalues}}
#'  \item \code{\link{getkingdomnamefromtsn}}
#'  \item \code{\link{getkingdomnames}}
#'  \item \code{\link{getlastchangedate}}
#'  \item \code{\link{getlsidfromtsn}}
#'  \item \code{\link{getothersourcesfromtsn}}
#'  \item \code{\link{getparenttsnfromtsn}}
#'  \item \code{\link{getpublicationsfromtsn}}
#'  \item \code{\link{getranknames}}
#'  \item \code{\link{getrecordfromlsid}}
#'  \item \code{\link{getreviewyearfromtsn}}
#'  \item \code{\link{getscientificnamefromtsn}}
#'  \item \code{\link{getsynonymnamesfromtsn}}
#'  \item \code{\link{gettaxonauthorshipfromtsn}}
#'  \item \code{\link{gettaxonomicranknamefromtsn}}
#'  \item \code{\link{gettaxonomicusagefromtsn}}
#'  \item \code{\link{gettsnbyvernacularlanguage}}
#'  \item \code{\link{gettsnfromlsid}}
#'  \item \code{\link{getunacceptabilityreasonfromtsn}}
#'  \item \code{\link{getvernacularlanguages}}
#'  \item \code{\link{searchbycommonname}}
#'  \item \code{\link{itis_searchcommon}}
#'  \item \code{\link{searchbycommonnamebeginswith}}
#'  \item \code{\link{searchbycommonnameendswith}}
#'  \item \code{\link{searchbyscientificname}}
#'  \item \code{\link{searchforanymatch}}
#'  \item \code{\link{searchforanymatchpaged}}
#' }
NULL
